package cn.gov.customs.wxjy.base.service;

import cn.gov.customs.wxjy.base.pojo.*;

import java.util.List;

/**
 * @description TODO
 * @author wq
 * @since 2025/11/5 上午10:23
 */
public interface BaseCodeService {

  List<Country> getCountryList();

  List<Customs> getCustomsList();

  List<Trade> getTradeList();

  List<Transf> getTransfList();

  List<Unit> getUnitList();

  Country getCountryByIso(String isoE);
  Country getCountryByCode(String countryCode);
  Customs getCustomsByCode(String customsCode);
  Trade getTradeByCode(String tradeMode);
  Transf getTransByCode(String trafCode);
  Unit getUnitByCode(String unitCode);
}
